Name:		overwitch
Version:	1.0
Release:	1%{?dist}
Summary:	JACK client for Overbridge devices

License:	GPL-3.0-or-later
URL:		https://github.com/dagargo/overwitch
Source0:	https://github.com/dagargo/overwitch/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libusb1-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	gtk3-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel
%if 0%{?suse_version}
BuildRequires:	libpulse-devel
%else
%if 0%{?mgaversion}
BuildRequires:	libpulseaudio-devel
%else
# RHEL, CentOS and Fedora use this name:
BuildRequires:	pulseaudio-libs-devel
%endif
%endif
BuildRequires:	gettext-devel
BuildRequires:	json-glib-devel

%description
Overwitch is an Overbridge 2 device client for JACK (JACK Audio Connection Kit).

%package cli
Summary: JACK client for Overbridge devices

%description cli
The command-line applications for Overwitch.



%prep
%autosetup -p1


%build
%configure
%make_build


%install
%make_install


%files
%{_bindir}/overwitch
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/res/gui.glade
%license COPYING


%files cli
%{_bindir}/overwitch-cli
%{_bindir}/overwitch-play
%{_bindir}/overwitch-record
%license COPYING

%changelog
* Wed Apr 19 2023 Jonathan Wakely <jwakely@fedoraproject.org> - 1.0-1
- RPM package for Fedora
